Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.math
Class StatCalculatorInteger

    java.lang.Object
      org.apache.jorphan.math.StatCalculator<Integer>
          org.apache.jorphan.math.StatCalculatorInteger

    public class StatCalculatorInteger

extends StatCalculator<Integer>

StatCalculator for Integer values

Constructor Summary
`StatCalculatorInteger()`

Method Summary
`void` | `addValue(int val)`
`void` | `addValue(int val, int sampleCount)` Update the calculator with the value for an aggregated sample.
`protected Integer` | `divide(Integer val, int n)`
`protected Integer` | `divide(Integer val, long n)`

Methods inherited from class org.apache.jorphan.math.StatCalculator
`addAll, addBytes, addValue, addValue, clear, getCount, getDistribution, getMax, getMean, getMedian, getMin, getPercentPoint, getPercentPoint, getStandardDeviation, getSum, getTotalBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCalculatorInteger

    public StatCalculatorInteger()

Method Detail

### addValue

    public void addValue(int val)

### addValue

    public void addValue(int val,
                         int sampleCount)

  Update the calculator with the value for an aggregated sample.

  Parameters:
    `val` - the aggregate value
    `sampleCount` - the number of samples contributing to the aggregate value

### divide

    protected Integer divide(Integer val,
                             int n)

  Specified by:
    `divide` in class `StatCalculator<Integer>`

### divide

    protected Integer divide(Integer val,
                             long n)

  Specified by:
    `divide` in class `StatCalculator<Integer>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.